<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="icon" href="{{url('frontend/images/logowhite.jpg')}}">

    <!-- google fonts link -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <!-- google fonts link -->
    <!-- Rubik Google Font -->
    <!-- <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">  -->
    
    <!-- Bootstrap link -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <!-- slick slider link -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.5.9/slick.min.css"/>
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.5.9/slick-theme.min.css"/>

    <link rel="stylesheet" href="{{url('frontend/css/style.css')}}"/>
    <!-- fontawesome link -->
    @yield('title')
</head>
<body>
<header class="header" id="dice-nav-head">
    <a class="navbar-brand" id="navbar-brand" href="{{url('/')}}">
        <img src="{{ App\Models\Setting::where('slug', 'logo')->first()->value}}" class="img-fluid logo"  alt="">
    </a>
    <ul class="nav nav-inner navbar-list" id="navigation-links">
        <li class="nav-item">
            <a class="nav-link" href="{{url('/about')}}">About</a>
        </li>
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Visa-Services
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="">service-name</a></li>
            </ul>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{url('/recruitment')}}">Recruitment</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{url('/insurance')}}">Insurance</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{{url('/news')}}">News</a>
        </li>
        <li class="nav-item">
            <a class="nav-link pr-0" href="{{url('/contact')}}">Contact</a>
        </li>
        @php
            $services = \App\Models\Service::where('status','1')->orderByRaw('CONVERT(order_by, SIGNED) asc')->get();
            $facebook = App\Models\Setting::where(['slug' => 'facebook-link','status' => true])->first();
            $instagram = App\Models\Setting::where(['slug' => 'instagram-link','status' => true])->first();
            $linkedIn = App\Models\Setting::where(['slug' => 'linkedin-link','status' => true])->first();
        @endphp
        <li class="nav-socials">
            @if(!is_null($facebook))
            <a href="{{$facebook->value}}" target="_blank">
                <img src="{{url('frontend/icons/facebook.svg')}}" alt="">
            </a>
            @endif
            @if(!is_null($instagram))
            <a href="{{$instagram->value}}" target="_blank">
                <img src="{{url('frontend/icons/instagram.svg')}}" alt="">
            </a>
            @endif
            @if(!is_null($linkedIn))
            <a href="{{$linkedIn->value}}" target="_blank">
                <img src="{{url('frontend/icons/linkedIn.svg')}}" alt="">
            </a>
            @endif
        </li>
    </ul>
    <div class="mobile-navbar-btn ms-auto">
        <ion-icon name="menu-outline" class="mobile-nav-icon"></ion-icon>
        <ion-icon name="close-outline" class="mobile-nav-icon"></ion-icon>
    </div>
</header>
<!-- content section -->
    @yield('content')
<!-- content section -->
<section class='footer'>
    <div class="footer-top">
        <div class="row">
            <div class="col-md-3">
                <div class="footer-desc">
                    <img src="{{url('frontend/images/logo.png')}}" class="img-fluid" alt="">
                    <p>A PLUS Australia agency, we strive to turn your dream into reality. We help you to achieve Permanent Residency in Australia</p>
                </div>
            </div>
            <div class="col-md-3">
                <div class="visa-services">
                    <h2>Visa Services</h2>
                    <ul>
                        @foreach($services as $service)
                        <li><a href="{{url('/service/'.$service->slug)}}">{{$service->name}}</a></li>
                        @endforeach
                        
                    </ul>
                </div>
            </div>
            <div class="col-md-3">
                <div class="recruitment">
                    <h2>Recruitment</h2>
                    <ul>
                        <li><a href="">Labour Agreements</a></li>
                        <li><a href="">I Need a Chef</a></li>
                        <li><a href="">I am a Chef</a></li>
                    </ul>
                </div>
            </div>
            <div class="col-md-3">
                <div class="quick-links">
                    <h2>Quick Links</h2>
                    <ul>
                        <li><a href="">About us</a></li>
                        <li><a href="">Pathway Programme</a></li>
                        <li><a href="">News</a></li>
                        <li><a href="">Contact us</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-bottom">
        <div class="abn">
            <p>ABN : 97654871011 </p>
        </div>
        <div class="copyright">
            <p>DICE © 2022. All Rights Reserved.</p>
        </div>
        <div class="disclaimer">
            <p>Disclaimer|Privacy Policy </p>
        </div>
        <div class="developed-by">
            <p>Design & Developed by: <a href="https://www.extratechs.com.au/" target="_blank">Extratech</a></p>
        </div>
    </div>
</section>
<!-- footer section end-->
<!-- Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
<!-- Bootstrap link -->

<!-- jquery link -->
    <script src="https://code.jquery.com/jquery-3.6.1.js" integrity="sha256-3zlB5s2uwoUzrXK3BT7AX3FyvojsraNFxCc2vC/7pNI=" crossorigin="anonymous"></script>
<!-- jquery link -->

<!-- fontawesome link -->
    <script src="https://kit.fontawesome.com/794cc97646.js" crossorigin="anonymous"></script>

<!-- ionicons link -->
    <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
    <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>

<!-- slick slider link -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>

<!-- hamburger link -->
    <script type="text/javascript" src="{{url('frontend/js/index.js')}}"></script>

<script>
    var navHeader = document.getElementById('dice-nav-head');
        window.onscroll= function(){
            if(window.scrollY > 50){
                navHeader.classList.add("header-scroll");

            }
            if(window.scrollY==0){
                navHeader.classList.remove("header-scroll");
            }
        }
</script>
    @yield('script')
</body>
</html>
